using LinqToDB.Mapping;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasaBlazorApp3.Pojo
{
    [Table("drug_manu_no")]
    public class DrugManuNo
    {
        [Column("dmnguid", IsPrimaryKey = true)]
        public string Id { get; set; }

        [Column("drug_id")]
        public string DrugId { get; set; }


        [Column("manu_no")]
        public string ManuNo { get; set; }



        [Column("manu_date")]
        public string ManuDate { get; set; }


        [Column("eff_date")]
        public DateTime? EffDate { get; set; }


        public override bool Equals(object o)
        {
            var other = o as DrugManuNo;

            return other?.DrugId == DrugId && other?.ManuNo == ManuNo;
        }
        [Column(IsColumn =false)]
        public int Quantity { get; set; }
    }
}
